with Interfaces, Jwa, Jwa.Strings;

use Interfaces, Jwa, Jwa.Strings;

with Ada.Text_IO;
use Ada.Text_IO;

with Test_Jwa_CXA4010;
with Test_Jwa_CXA4011;
with Test_Jwa_CXA4030;
with Test_Jwa_CXA4031;
with Test_Jwa_CXA4032;

with Report;

procedure Test_Jwa is

   Leak_Test : constant Boolean := False;

   procedure Boolean_8_32_Test is separate;

   Iterations : Natural := 1;
begin
   Boolean_8_32_Test;
--     if Leak_Test then
--        Iterations := Natural'Last;
--     end if;

--     for i_Dummy in 1 .. Iterations loop
--        Report.Toggle (i_Dummy = Iterations);
--        Test_Jwa_CXA4010;
--        Test_Jwa_CXA4011;
--        Test_Jwa_CXA4030;
--        Test_Jwa_CXA4031;
--        Test_Jwa_CXA4032;
--     end loop;
end Test_Jwa;
